# Record Class LLFaultInjection

java.lang.Object
java.lang.Record
com.io7m.looseleaf.server.api.LLFaultInjection

Record Components:
  `databaseCrashProbability` - The probability that a database access will crash

public record LLFaultInjection(double databaseCrashProbability) extends Record
Fault injection configuration.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LLFaultInjection(double databaseCrashProbability)`
  Creates an instance of a `LLFaultInjection` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `databaseCrashProbability()`
  Returns the value of the `databaseCrashProbability` record component.
  `void`
  `databaseFaultInject()`
  Potentially throw an I/O exception based on the database crash probability.
  `static LLFaultInjection`
  `disabled()`
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LLFaultInjection

    public LLFaultInjection(double databaseCrashProbability)
    Creates an instance of a `LLFaultInjection` record class.
    Parameters:
      `databaseCrashProbability` - the value for the `databaseCrashProbability` record component

- ## Method Details

  - ### disabled

    public static LLFaultInjection disabled()
    Returns:
      The configuration with no fault injection

  - ### databaseFaultInject

    public void databaseFaultInject() throws IOException
    Potentially throw an I/O exception based on the database crash probability.
    Throws:
      `IOException` - Sometimes

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### databaseCrashProbability

    public double databaseCrashProbability()
    Returns the value of the `databaseCrashProbability` record component.
    Returns:
      the value of the `databaseCrashProbability` record component